### Virtual Method

# Ggit CloneOptions create_repository

#### Declaration [src]

    GgitRepository*
    create_repository (
      GgitCloneOptions* options,
      const gchar* path,
      gboolean is_bare,
      GError** error
    )

#### Description

No description available.

#### Parameters

`path`

  Type: `const gchar*`

  The repository path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_bare`

  Type: `gboolean`

  Whether a bare repository should be created.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRepository`

A `GgitRepository` or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.